
%define name	concordance
%define version	0.24
%define rel	3

%define major	2
%define libname	%mklibname concord %major
%define devname	%mklibname concord -d 

Summary:	Command-line Logitech Harmony remote programmer
Name:		%{name}
Version:	%{version}
Release:	%mkrel %{rel}
License:	GPLv3+
URL:		http://www.phildev.net/harmony/
Source:		http://downloads.sourceforge.net/concordance/concordance-%{version}.tar.bz2
Patch0:		concordance-mime.patch
Patch1:		consnoop-includes.patch
Patch2:		concordance-clean-udev-rules.patch
Patch3:		concordance-udev-acl.patch
Patch4:		concordance-0.24-automake1.12.patch
Group:		System/Kernel and hardware
BuildRequires:	libusb-devel
BuildRequires:	python-devel
BuildRequires:	swig
BuildRequires:	perl-devel
BuildRequires:	chrpath

%description
This command-line software allows you to program your Logitech Harmony
remote using a configuration object retrieved from the Harmony website.

%package -n libconcord-common
Summary:	Common files of libconcord
Group:		System/Libraries

%description -n libconcord-common
Common files required by Logitech Harmony remote programmer library.

%package -n %libname
Summary:	System library of libconcord
Group:		System/Libraries
Requires:	libconcord-common >= %{version}-%{release}

%description -n %libname
Logitech Harmony remote programmer library for applications that use it.

%package -n %devname
Summary:	Development headers for libconcord
Group:		Development/C
Requires:	%libname = %version
Provides:	concord-devel = %version-%release

%description -n %devname
Development headers for developing applications that use libconcord, a
Logitech Harmony remote programmer library.

%package -n perl-concord
Summary:	Perl bindings for libconcord
Group:		Development/Perl

%description -n perl-concord
Perl bindings for libconcord, a Logitech Harmony remote programmer
library.

%package -n python-libconcord
Summary:	Python bindings for libconcord
Group:		Development/Python
Requires:	%libname

%description -n python-libconcord
Python bindings for libconcord, a Logitech Harmony remote programmer
library.

%prep
%setup -q
%apply_patches

%build
cd libconcord
# patch0
autoreconf -fi
%configure2_5x --disable-static --disable-mime-update
%make
%make udev_acl2
cd bindings/perl
swig -perl5 concord.i
%{__perl} Makefile.PL INSTALLDIRS=vendor INC=-I../.. LIBS="-L../../.libs -lconcord"
%make
cd ../../..
cd concordance
%configure2_5x CPPFLAGS=-I../libconcord LDFLAGS="%{?ldflags} -L../libconcord"
%make
cd ..
cd consnoop
%make CXXFLAGS="%optflags %{?ldflags}"

%install
%makeinstall_std -C libconcord \
	install_udev_acl2
#
%makeinstall_std -C libconcord/bindings/perl
chrpath -d %{buildroot}%{perl_vendorarch}/auto/concord/concord.so
%makeinstall_std -C concordance

cd libconcord/bindings/python
python setup.py install --root=%{buildroot}
cd -

# useful or not? include for now:
install -m755 consnoop/consnoop %{buildroot}%{_bindir}

rm -f %{buildroot}%{_libdir}/libconcord.la

%post -n libconcord-common
# apply new/updated rules
/sbin/udevadm trigger --subsystem-match=usb --attr-match=idVendor=046d --attr-match=idProduct="c1*"
/sbin/udevadm trigger --subsystem-match=usb --attr-match=idVendor=0400 --attr-match=idProduct="c359"

%files
%doc concordance/README
%doc Changelog
%{_bindir}/concordance
%{_mandir}/man1/concordance*

%files -n libconcord-common
%{_udevrulesdir}/60-libconcord.rules
%{_datadir}/mime/packages/libconcord.xml

%files -n %{libname}
%{_libdir}/libconcord.so.%{major}*

%files -n %{devname}
%doc libconcord/README
%{_bindir}/consnoop
%{_libdir}/libconcord.so
%{_includedir}/libconcord.h

%files -n perl-concord
%{perl_vendorarch}/concord.pm
%{perl_vendorarch}/auto/concord

%files -n python-libconcord
%{py_sitedir}/libconcord*


%changelog

* Wed Jan 23 2013 fwang <fwang> 0.24-3.mga3
+ Revision: 391215
- use correct prefix
- update rpm group

* Fri Jan 11 2013 umeabot <umeabot> 0.24-2.mga3
+ Revision: 348111
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 fwang <fwang> 0.24-1.mga3
+ Revision: 315682
- try to fix build with latest am
- new verison 0.24
- rebuild for new perl

  + jquelin <jquelin>
    - perl 5.16 rebuild

* Sat Jun 11 2011 stormi <stormi> 0.23-6.mga2
+ Revision: 103790
- fix typo in description

* Sat Jun 11 2011 sander85 <sander85> 0.23-5.mga2
+ Revision: 103746
- perl 5.14

* Wed Jan 19 2011 jquelin <jquelin> 0.23-4.mga1
+ Revision: 23863
- perl 5.12 rebuild
- rebuild
- rebuild

* Tue Jan 18 2011 pterjan <pterjan> 0.23-3.mga1
+ Revision: 21817
- Rebuild for python 2.7

* Sun Jan 16 2011 anssi <anssi> 0.23-2.mga1
+ Revision: 20094
- guard mdkversion uses with %%distribution check
- imported package concordance

